Support » Plugin: BackWPup - WordPress Backup Plugin » Sudden Incompatability after update

  • Resolved teplitz

    (@teplitz)


    I had three sites’ backends become unavailable yesterday. I also use managewp and these sites became disconnected from the dashboard. Two had a message about a line error in backwpup (the status report is no longer available so I can’t tell you where). I used FTP to remove the plugin from the three sites and all are now working perfectly. I am awaiting a repaired update before reinstalling BackWPUp.

Viewing 7 replies - 1 through 7 (of 7 total)
  • This was the notification error from ManageWP: Fatal Error (E_COMPILE_ERROR): Can’t use function return value in write context occurred in wp-content/plugins/backwpup/inc/class-destination-ftp.php on line 285

    Plugin Author Brandon Olivares

    (@cocreation)

    @teplitz, there are two ways of fixing this: either upgrade your sites to php 5.5 or greater, or replace line 285 of backwpup/inc/class-destination-ftp.php with the following:

    			$ftp_ssl = BackWPup_Option::get( $jobid, 'ftpssl' );
    			if ( ! empty( $ftp_ssl )
    

    @cocreation php updates handled by the hosting company and not always an option for shared hosting. you guys need to make it compatible with at least one older version of php, or you will have a massive exodus of users.

    UPDATE: i still have 500 internal server error on all page updates when this plugin is enabled. only works when i disable your plugin

    • This reply was modified 2 years, 5 months ago by Vladinator.
    • This reply was modified 2 years, 5 months ago by Vladinator. Reason: update
    Plugin Author Brandon Olivares

    (@cocreation)

    Hi @alexpty, the great majority of hosts support 5.6 or above. And I’m not saying we won’t support it, simply that this is the solution for now. We’re discussing our best options to balance both reaching as many users as possible, and also using up-to-date technologies.

    hello @cocreation i know what you saying, but i have clients on GoDaddy, Hostgator and Bluehost and my phone is ringing every minute. i have to manage two dozen web sites which are broken because of your latest update. Hosts support php 5.6 mostly, but it’s not something users can change easily. I think your read support threads already, it’s just a beginning and it’s only form those who figured that your plugin is to blame. Sorry i was of a better impression of this plugin for almost 5 years i am using it. Very disappointing to say at least

    • This reply was modified 2 years, 5 months ago by Vladinator. Reason: grammar
    Plugin Author Christina Fuchs

    (@vanvox)

    Hi @all,

    we have a new version on github fixing bugs of 3.5.0. You can download it here https://github.com/inpsyde/backwpup/archive/master.zip.
    Would be great if we get some feedback before we release on wordpress.org.

    Thanks a lot for your help!

    Plugin Support duongcuong96

    (@duongcuong96)

    Hi there,
    The new 3.5.1 version has been released with bugs fixed, please update as soon as possible.
    If you still have any problem, just let me know 🙂

    Btw, If you find BackWPUp is useful for you, we would really appreciate if you leave a positive review and rating.
    This would encourage us to develop new free features and provide free support 😀
    https://wordpress.org/support/plugin/backwpup/reviews/
    Thank you!

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Sudden Incompatability after update’ is closed to new replies.